--AH:ScriptId=80e82ac2-a167-4f65-b2d1-e57521f16950;3191
CREATE TABLE [TextTemplates]
(
    [TextTemplate_Id] INT IDENTITY(1,1) NOT NULL,
    [Application_Id] INT NULL,
    [Template_Name] VARCHAR(200) NOT NULL,
    [Template_Bytes] VARBINARY(MAX) NOT NULL,

    CONSTRAINT [PK__TextTemplates] PRIMARY KEY ([TextTemplate_Id]),
    CONSTRAINT [UQ__TextTemplates__Template_Name] UNIQUE([Application_Id], [Template_Name]),
    CONSTRAINT [FK__TextTemplates__Applications] FOREIGN KEY ([Application_Id]) 
        REFERENCES [Applications] ([Application_Id])
        ON DELETE CASCADE
)