EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetBuildTriggerExecution',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'BuildTriggerExecutions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a build trigger execution.'
GO

IF OBJECT_ID('[Executions_GetBuildTriggerExecution]') IS NOT NULL DROP PROCEDURE [Executions_GetBuildTriggerExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetBuildTriggerExecution]
(
	@Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [BuildTriggerExecutions_Extended]
	 WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [Executions_GetBuildTriggerExecution] TO [BuildMasterUser_Role]
