EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_GetNamedUsers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NamedUsers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of the named users in the system'
GO

IF OBJECT_ID('[Security_GetNamedUsers]') IS NOT NULL DROP PROCEDURE [Security_GetNamedUsers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Security_GetNamedUsers]  AS
BEGIN

	SET NOCOUNT ON

	SELECT * FROM [NamedUsers]


END
GO

GRANT EXECUTE ON [Security_GetNamedUsers] TO [BuildMasterUser_Role]