--AH:ScriptId=dc670925-827d-4fc1-8d29-16ef5a6e7327;3153
DELETE [Configuration]
 WHERE [Value_Text] = ''

ALTER TABLE [Configuration]
 ADD [Legacy_Scope_Name] VARCHAR(250) NULL,
     [Legacy_Key_Name] VARCHAR(250) NULL
GO

INSERT INTO [Configuration] ([Scope_Name], [Key_Name], [Value_Text], [Legacy_Scope_Name], [Legacy_Key_Name], [Description_Text]) 
SELECT 'Config2',
       C2.[Key_Name2],
	   C.[Value_Text],
       C.[Scope_Name],
       C.[Key_Name],
       NULL
  FROM [Configuration] C
       INNER JOIN (
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'ArtifactsBasePath', [Key_Name2] = 'Artifacts.BasePath' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'BuildMaster_BaseUrl', [Key_Name2] = 'System.BaseUrl' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'BuildMasterUpdateCheck_ShowReminder', [Key_Name2] = 'System.SoftwareUpdateAvailable' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'EmailFromAddress', [Key_Name2] = 'Smtp.FromAddress' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'EnforceServerRestrictions', [Key_Name2] = 'Agents.EnforceServerRestrictions' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'ExtensionsPath', [Key_Name2] = 'Extensions.ExtensionsPath' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'ExtensionsUpdateFeedUrl', [Key_Name2] = 'Extensions.UpdateFeedUrl' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'ExtensionUpdateCheck_Next', [Key_Name2] = 'Extensions.NextCheck' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'ExtensionUpdateCheck_ShowReminder', [Key_Name2] = 'Extensions.ShowReminder' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'InfrastructureSyncCredentialName', [Key_Name2] = 'InfrastructureSync.CredentialName' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'InfrastructureSyncDryRun', [Key_Name2] = 'InfrastructureSync.DryRun' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'InfrastructureSyncEnabled', [Key_Name2] = 'InfrastructureSync.Enabled' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'InfrastructureSyncFrequency', [Key_Name2] = 'InfrastructureSync.Frequency' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'InfrastructureSyncShowBanner', [Key_Name2] = 'InfrastructureSync.ShowBanner' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'IntegrationUrl', [Key_Name2] = 'System.IntegrationUrl' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'MailServerEnableSSL', [Key_Name2] = 'Smtp.SslEnabled' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'MailServerName', [Key_Name2] = 'Smtp.Host' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'Proxy_BypassOnLocal', [Key_Name2] = 'Proxy.BypassOnLocal' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'Proxy_BypassUrls', [Key_Name2] = 'Proxy.BypassUrls' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'Proxy_Enable', [Key_Name2] = 'Proxy.Enabled' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'Proxy_Host', [Key_Name2] = 'Proxy.Host' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'Proxy_Password', [Key_Name2] = 'Proxy.Password' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'Proxy_Port', [Key_Name2] = 'Proxy.Port' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'Proxy_UseDefault', [Key_Name2] = 'Proxy.UseDefault' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'Proxy_Username', [Key_Name2] = 'Proxy.UserName' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'RestartRequestedForService', [Key_Name2] = 'Service.RestartRequested' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'RestartRequestedForWeb', [Key_Name2] = 'Web.RestartRequested' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'ServiceName', [Key_Name2] = 'Service.Name' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'UseAlternateSshLibrary', [Key_Name2] = 'Agents.UseAlternateSshLibrary' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'UseFurthestBuildForReferencedDeployable', [Key_Name2] = 'Artifacts.UseFurthestBuildForReferencedDeployable' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'UserDirectoryId', [Key_Name2] = 'Web.UserDirectoryId' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'UseUniqueExecutionTempDirectory', [Key_Name2] = 'Agents.UseUniqueExecutionTempDirectory' UNION ALL
        SELECT [Scope_Name] = 'CoreEx', [Key_Name] = 'VerboseLoggingForRetentionPolicies', [Key_Name2] = 'Retention.VerboseLoggingEnabled' UNION ALL
        SELECT [Scope_Name] = 'Internal', [Key_Name] = 'WebId', [Key_Name2] = 'System.WebId' UNION ALL
        SELECT [Scope_Name] = 'Service', [Key_Name] = 'AgentUpdaterThrottle', [Key_Name2] = 'Service.AgentUpdaterThrottle' UNION ALL
        SELECT [Scope_Name] = 'Service', [Key_Name] = 'DisableActionExecution', [Key_Name2] = 'Service.DisableActionExecution' UNION ALL
        SELECT [Scope_Name] = 'Service', [Key_Name] = 'EmailNotifierThrottle', [Key_Name2] = 'Service.EventListenerThrottle' UNION ALL
        SELECT [Scope_Name] = 'Service', [Key_Name] = 'PlanExecuterThrottle', [Key_Name2] = 'Service.PlanExecuterThrottle' UNION ALL
        SELECT [Scope_Name] = 'Service', [Key_Name] = 'PromotionRequirementVerifierThrottle', [Key_Name2] = 'Service.PromotionRequirementVerifierThrottle' UNION ALL
        SELECT [Scope_Name] = 'Service', [Key_Name] = 'ScheduleExecuterThrottle', [Key_Name2] = 'Service.ScheduleExecuterThrottle' UNION ALL
        SELECT [Scope_Name] = 'Web', [Key_Name] = 'FormsAuthenticationTimeout', [Key_Name2] = 'Web.FormsAuthenticationTimeout' UNION ALL
        SELECT [Scope_Name] = 'Web', [Key_Name] = 'IgnoreServiceWarning', [Key_Name2] = 'Web.IgnoreServiceWarning' UNION ALL
        SELECT [Scope_Name] = 'Web', [Key_Name] = 'IntegratedAuthenticationEnabled', [Key_Name2] = 'Web.IntegratedAuthenticationEnabled' UNION ALL
        SELECT [Scope_Name] = 'Web', [Key_Name] = 'ReleaseNumberValidation', [Key_Name2] = 'Web.ReleaseNumberValidationEnabled' UNION ALL
        SELECT [Scope_Name] = 'Web', [Key_Name] = 'WebCustomErrorsMode', [Key_Name2] = 'Web.CustomErrorPageEnabled'

	    ) C2
    ON C.[Scope_Name] = C2.[Scope_Name] AND C.[Key_Name] = C2.[Key_Name]


DELETE [Configuration]
 WHERE [Scope_Name] <> 'Config2'
GO

ALTER TABLE [Configuration]
	DROP CONSTRAINT [PK__Configuration]
GO

ALTER TABLE [Configuration]
	DROP COLUMN [Scope_Name]
GO

ALTER TABLE [Configuration]
	DROP COLUMN [Description_Text]
GO

ALTER TABLE [Configuration]
	ALTER COLUMN [Key_Name] VARCHAR(200) NOT NULL
GO

ALTER TABLE [Configuration]
	ADD CONSTRAINT [PK__Configuration]
		PRIMARY KEY ([Key_Name])
