EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'AdminEdit_PurgeArtifact',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Purges an artifact from the specified build.'
GO


IF OBJECT_ID('[AdminEdit_PurgeArtifact]') IS NOT NULL DROP PROCEDURE [AdminEdit_PurgeArtifact]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [AdminEdit_PurgeArtifact]
(
	@Build_Id INT,
	@Artifact_Name VARCHAR(50)
)
AS
BEGIN

    DELETE [BuildArtifacts]
     WHERE [Build_Id] = @Build_Id
       AND [Artifact_Name] = @Artifact_Name

END
GO

GRANT EXECUTE ON [AdminEdit_PurgeArtifact] TO [BuildMasterUser_Role]
