EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'LogMessages_GetMessage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'LogMessages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a specified message from the error log'
GO

IF OBJECT_ID('[LogMessages_GetMessage]') IS NOT NULL DROP PROCEDURE [LogMessages_GetMessage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LogMessages_GetMessage]
(
	@LogMessage_Id INT
) AS
BEGIN

    SET NOCOUNT ON

    SELECT * FROM [LogMessages_Extended] WHERE @LogMessage_Id = [LogMessage_Id]
	
END
GO

GRANT EXECUTE ON [LogMessages_GetMessage] TO [BuildMasterUser_Role]